@import '../../css/style/icons.css';

.slope-map {
    background: #292a2f;
    color: white;
}

.slope-map h1,
.slope-map .h1 {
    font-family: "museo_sans_700", sans-serif;
    padding: calc(53rem/16) calc(24rem/16) calc(24rem/16) calc(24rem/16);
    border-left: red solid calc(16rem/16);
    margin-left: calc(32rem/16);
}

.slope-map h2,
.slope-map .h2 {
    font-size: calc(42rem/16);
}

.slope-map__header {
    display: flex;
    justify-content: space-between;
    margin-right: calc(85rem/16);
    height: calc(200rem/16);
}

.slope-map__logo {
    margin-top: calc(24rem/16);
    width: calc(180rem/16);
}

.slope-map__body {
    display: grid;
    grid-template-columns: 6.5fr 3fr;
    margin-left: calc(30rem/16);
}

.slope-map__img-area {
    aspect-ratio: 4 / 3;
}

.slope-map__img-area img {
    width: 1314px;
    height: auto;
}


.slope-map__content {
    margin-left: calc(48rem/16);
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.slope-map__check-icon {
    font-size: calc(55rem/26);
    color: #179f4e;
    position: absolute;
    right: calc(855rem/16);
    z-index: 3;
}

.slope-map__close-icon {
    font-size: calc(55rem/26);
    color: #ef5143;
    position: absolute;
    right: calc(800rem/16);
    z-index: 3;
}

.slope-map__lift-icon {
    font-size: calc(50rem/26);
    background-color: #ffffff;
    color: #000000;
    padding: calc(5rem/16);
    width: calc(42rem/16);
    display: flex;
    justify-content: center;
}

.slope-map__railway-icon {
    font-size: calc(30rem/26);
    background-color: #ffffff;
    color: #000000;
    padding-top: calc(3rem/16);
    width: calc(42rem/16);
    height: calc(42rem/16);
    display: flex;
    justify-content: center;
    align-items: center;
}


.slope-map__list {
    margin-top: calc(12rem/16);
    margin-bottom: calc(24rem/16);
}

.slope-map__list-item {
    display: flex;
    align-items: center;
    height: calc(50rem/16);

}

.slope-map__info {
    padding-left: calc(155rem/16);
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
}

.slope-map__letter {
    font-size: calc(25rem/16);
    width: calc(32rem/16);
    margin-left: calc(16rem/16);
    padding-right: calc(16rem/16);
    border-right: white 2px solid;
}

.slope-map__text {
    font-size: calc(25rem/16);
    margin-left: calc(16rem/16);
}

.slope-map__red-slope {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: calc(25rem/26);
    background-color: #ff0000;
    color: white;
    border-radius: 50%;
    width: calc(32rem/16);
    height: calc(32rem/16);
}
.slope-map__blue-slope {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: calc(25rem/26);
    background-color: #1e99d5;
    color: white;
    border-radius: 50%;
    width: calc(32rem/16);
    height: calc(32rem/16);
}

.slope-map__black-slope {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: calc(25rem/26);
    background-color: #000000;
    color: white;
    border-radius: 50%;
    width: calc(32rem/16);
    height: calc(32rem/16);
}

.slope-map__sled {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: calc(38rem/26);
    background-color: #f4ec1f;
    color: #000000;
    border-radius: 50%;
    width: calc(32rem/16);
    height: calc(32rem/16);
    position: absolute;
    right: calc(755rem/16);
    z-index: 3;
}

.slope-map__infra {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: calc(38rem/26);
    background-color: #f4ec1f;
    color: #000000;
    border-radius: 50%;
    width: calc(32rem/16);
    height: calc(32rem/16);
    z-index: 3;
}

.slope-map__hiking {
    display: flex;
    align-items: center;
    padding-left: calc(15rem/16);
    margin-left: calc(15rem/16);
    border-left: white 2px solid;
}

.slope-map__hiking-icon {
    font-size: calc(60rem/26);
    background-color: #ffffff;
    color: #000000;
    padding-right: calc(3rem/16);
}

.slope-map__slopes {
    display: flex;
    margin-bottom: calc(40rem/16);
}

.slope-map__slope-type {
    display: flex;
    align-items: center;
    margin-right: calc(40rem/16);
}
